# Generated from rack-session-xfile-1.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rack-session-xfile

Name: rubygem-%{gem_name}
Version: 1.0.0
Release: 1%{?dist}
Summary: File-based session management with eXclusive R/W locking
License: ISC
URL: https://ecentryx.com/gems/rack-session-xfile
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.2
# BuildRequires: rubygem(bacon) >= 1.2
# BuildRequires: rubygem(bacon) < 2
BuildArch: noarch

%description
A simple and reliable file-based session manager with eXclusive R/W locking.
Session data is updated atomically using mutex and file locks, making it
suitable for multi-threaded and multi-process applications.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# bacon -a
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%{gem_instdir}/spec
%{gem_instdir}/xfile.gemspec

%changelog
* Tue Aug 24 2021 mockbuilder - 1.0.0-1
- Initial package
